Bug 1415357 - [abrt] glmark2: pushbuf_krel(): glmark2 killed by SIGABRT
Summary: [abrt] glmark2: pushbuf_krel(): glmark2 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: glmark2
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jon Disnard
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b63da60a26ca97bbea9190e96d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 01:26 UTC by Stan King
Modified: 2017-12-12 10:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:49:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (47.02 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: core_backtrace (5.28 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: dso_list (3.60 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: environ (3.04 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: maps (21.53 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: mountinfo (3.00 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: open_fds (348 bytes, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details
File: var_log_messages (227 bytes, text/plain)
2017-01-21 01:26 UTC, Stan King
no flags Details

Description Stan King 2017-01-21 01:26:30 UTC
Description of problem:
I ran glmark2, which is new to me.  It did not complete the entire benchmark sequence that it does on other computers.

The VGA adapter is soldered to the motherboard and was produced by Nvidia.

The following is output from "lspci -nn | grep VGA":

00:05.0 VGA compatible controller [0300]: NVIDIA Corporation C51 [GeForce 6150 LE] [10de:0241] (rev a2)

Perhaps the last view lines of output would be helpful:

[desktop] effect=shadow:windows=4: FPS: 119 FrameTime: 8.403 ms
[buffer] columns=200:interleave=false:update-dispersion=0.9:update-fraction=0.5:update-method=map: FPS: 83 FrameTime: 12.048 ms
[buffer] columns=200:interleave=false:update-dispersion=0.9:update-fraction=0.5:update-method=subdata:glmark2: pushbuf.c:238: pushbuf_krel: Assertion `bkref' failed.
Aborted (core dumped)

Version-Release number of selected component:
glmark2-2014.03-6.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        glmark2
crash_function: pushbuf_krel
executable:     /usr/bin/glmark2
global_pid:     2946
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pushbuf_krel at pushbuf.c:238
 #5 nouveau_pushbuf_reloc at pushbuf.c:746
 #6 PUSH_RELOC at nv30/nv30_winsys.h:26
 #7 nv30_transfer_copy_data at nv30/nv30_transfer.c:740
 #8 nouveau_transfer_write at nouveau_buffer.c:211
 #9 nouveau_buffer_transfer_unmap at nouveau_buffer.c:544
 #10 pipe_transfer_unmap at util/u_inlines.h:457
 #11 u_default_buffer_subdata at util/u_transfer.c:35
 #12 Mesh::update_single_vbo at ../src/mesh.cpp:472
 #13 Mesh::update_vbo at ../src/mesh.cpp:498

Comment 1 Stan King 2017-01-21 01:26:34 UTC
Created attachment 1243069 [details]
File: backtrace

Comment 2 Stan King 2017-01-21 01:26:35 UTC
Created attachment 1243070 [details]
File: cgroup

Comment 3 Stan King 2017-01-21 01:26:36 UTC
Created attachment 1243071 [details]
File: core_backtrace

Comment 4 Stan King 2017-01-21 01:26:37 UTC
Created attachment 1243072 [details]
File: dso_list

Comment 5 Stan King 2017-01-21 01:26:38 UTC
Created attachment 1243073 [details]
File: environ

Comment 6 Stan King 2017-01-21 01:26:39 UTC
Created attachment 1243074 [details]
File: limits

Comment 7 Stan King 2017-01-21 01:26:40 UTC
Created attachment 1243075 [details]
File: maps

Comment 8 Stan King 2017-01-21 01:26:41 UTC
Created attachment 1243076 [details]
File: mountinfo

Comment 9 Stan King 2017-01-21 01:26:42 UTC
Created attachment 1243077 [details]
File: namespaces

Comment 10 Stan King 2017-01-21 01:26:43 UTC
Created attachment 1243078 [details]
File: open_fds

Comment 11 Stan King 2017-01-21 01:26:44 UTC
Created attachment 1243079 [details]
File: proc_pid_status

Comment 12 Stan King 2017-01-21 01:26:45 UTC
Created attachment 1243080 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:27:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:49:18 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.